This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 1252724 - [QE] Wrong connection information for LdapLoginModule
[QE] Wrong connection information for LdapLoginModule
Status: CLOSED CURRENTRELEASE
Product: JBoss Enterprise Application Platform 6
Classification: JBoss
Component: Documentation (Show other bugs)
6.4.0
Unspecified Unspecified
unspecified Severity high
: post-GA
: EAP 6.4.3
Assigned To: Priyanka Nag
FIlip Bogyai
https://access.stage.redhat.com/docum...
: Documentation, EasyFix, Triaged
Depends On:
Blocks: 1233012
  Show dependency treegraph
 
Reported: 2015-08-12 03:26 EDT by FIlip Bogyai
Modified: 2015-12-01 00:53 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-10-20 08:44:04 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description FIlip Bogyai 2015-08-12 03:26:30 EDT
Book: Login Module Reference
Revision: n_1575841_login-module-reference_version_6.4_edition_1.0_release_0-revision_6701191
Section: 4.2. LDAP LOGIN MODULE

Issue description:
In text description of LdapLoginModule it is stated that bindDN is used for connecting to LDAP server:
"The security subsystem connects to the LDAP server using connection information (i.e. a bindDN ..."
But this is not true for this login module, because it uses java.naming.security.principal for creating LDAP connections.

Suggestions for improvement:
Replace bindDN with java.naming.security.principal in text description of LdapLoginModule.
Comment 3 FIlip Bogyai 2015-08-25 05:04:08 EDT
Verified in revision "n_1601531_login-module-reference_version_6.4_edition_1.0_release_0-revision_6840221" of https://access.stage.redhat.com/documentation/en/red-hat-jboss-enterprise-application-platform/version-6.4/login-module-reference

Note You need to log in before you can comment on or make changes to this bug.